FlatNuke 2.5.6 ID Parameter Directory Traversal Vulnerability



EDB-ID: 26212 CVE: 2005-2813 OSVDB-ID: 19118
Author: rgod Published: 2005-08-31 Verified: Verified
Exploit Code:   Download Vulnerable App:   N/A

Rating

(0.0)
Prev Home Next
source: http://www.securityfocus.com/bid/14702/info

FlatNuke is prone to a directory traversal vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An unauthorized user can retrieve arbitrary files by supplying directory traversal strings '../' to the vulnerable parameter.

Exploitation of this vulnerability could lead to a loss of confidentiality. Information obtained may aid in further attacks against the underlying system; other attacks are also possible. 

http://www.example.com/index.php?mod=read&id=../forum/users/[user].php%00